Fwd: [Bug 281851] Re: interpid installation does not install 2.6.27 kernel

Eugene Savelov savelov at gmail.com
Mon Oct 13 17:14:54 UTC 2008


Hello,

can you raise the priority of this bug - it involves installation
issue which leads to non-bootable system
it seems it happens to AMD64 installs

Regards,

Eugene

---------- Forwarded message ----------
From: Korax <mjkemsley at gmail.com>
Date: Mon, Oct 13, 2008 at 3:50 PM
Subject: [Bug 281851] Re: interpid installation does not install 2.6.27 kernel
To: savelov at gmail.com


I have experienced a similar issue.

Installed from 8.10 beta AMD64 desktop cd. I selected a fresh root fs,
but selected an existing ext2 fs as /boot without format. (This
partition used for /boot in 8.04)

After install, grub was configured with 8.04 kernels (2.6.24-X) with
8.10 fs as root

vmlinuz-2.6.27-4-generic was missing from /boot

Files that were copied to /boot -
initrd.img-2.6.27-4-generic
abi-2.6.27-4-generic
config-2.6.27-4-generic
System.map-2.6.27-4-generic
vmcoreinfo-2.6.27-4-generic

--
interpid installation does not install 2.6.27 kernel
https://bugs.launchpad.net/bugs/281851
You received this bug notification because you are a direct subscriber
of the bug.

Status in "ubiquity" source package in Ubuntu: New

Bug description:
After installing 8.10 (interpid) beta (kernel 2.6.27-4), over a
prevoius 8.04 installation by booting from cdrom image, without
formatting the root fs, installer did not copy
vmlinuz-2.6.27-4-generic  kernel to /boot , and configured
2.6.24-19-generic  kernel to boot.
But that failed on restart because it could not find any modules for
it. (it erased /lib/modules)

I had to manually copy the kernel from cdrom to /boot, and edit the
grub menu.lst file

this is x86_64 desktop version of interpid beta, used russian language
during install

ubiquity version 1.10.3




More information about the Ubuntu-qa mailing list